package com.sikey.wa04.common.enums;

import lombok.Getter;

/**
 * 群成员角色
 *
 * @author luoyangwei
 */
@Getter
public enum GroupMemberRole {
    /**
     * 拥有者（群主）
     */
    OWNER(1),
    /**
     * 群管理员
     */
    MANAGER(2),
    /**
     * 群成员
     */
    EVERYMAN(3);

    private final Integer value;

    GroupMemberRole(Integer value) {
        this.value = value;
    }

    public static GroupMemberRole valueOf(Integer value) {
        for (GroupMemberRole role : values()) {
            if (role.value.equals(value)) {
                return role;
            }
        }
        throw new IllegalArgumentException("No such value: " + value);
    }
}
